#include "../include/Sim2OS.h"

namespace environment {
namespace sim2os {

    /*
     * Add a new parameter
     * if num_reg == 0, it's the number of service
     * else             it's a arguments
     */
    void Sim2OS ::parameter (uint32_t num_reg,
			     void       * val)
    {
      if (num_reg == 0)
	num_service = int2service(static_cast<int32_t>(reinterpret_cast<int64_t>(val)));
      else
	arguments[num_reg] = val;
    };

};
};
